UUIDGEN(1)

NOM
uuidgen - Créer une nouvelle valeur UUID

SYNOPSIS
uuidgen [options]

DESCRIPTION
Le programme uuidgen crée (et affiche) un nouvel identifiant universel unique (Universally Unique ID, UUID) en utilisant la bibliothèque libuuid(3). Le nouvel UUID peut être raisonnablement considéré comme unique parmi tous les UUID créés localement sur le système ou qui le seront par tous les systèmes passés ou futurs.

uuidgen peut générer deux types d'UUID : des UUID fondés sur la date courante et des UUID aléatoires. Par défaut uuidgen générera des UUID aléatoires si un générateur de haute qualité de nombres aléatoires est présent. Autrement, il choisira un UUID dépendant du temps. Il est possible de forcer la génération de l'un ou l'autre type en utilisant l'option -r ou -t.

OPTIONS

-r, --random
    Générer un UUID aléatoire. Cette méthode crée un UUID principalement constitué de bits aléatoires. Le système d'exploitation doit posséder un générateur de nombres aléatoires de haute qualité, tel que /dev/random.

-t, --time
    Générer un UUID dépendant du temps. Cette méthode crée un UUID fondé sur l'horloge système et si présente l'adresse matérielle Ethernet du système.

-h, --help
    Afficher un texte d'aide puis quitter.

-V, --version
    Afficher les informations sur la version et quitter.

CONFORMITÉ
OSF DCE 1.1

AUTEUR
uuidgen a été écrit par Andreas Dilger pour libuuid.

DISPONIBILITÉ
La commande uuidgen fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

VOIR AUSSI
libuuid(3)

TRADUCTION
Cette page de manuel a été traduite par Sébastien Blanchet en 2002. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.